Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes | Protected Member Functions | Friends
tlp::SizeAlgorithm Class Reference
Plugins

Interface for sizes plug-ins. More...

`#include <SizeAlgorithm.h>`

Inheritance diagram for tlp::SizeAlgorithm:
[legend]
Collaboration diagram for tlp::SizeAlgorithm:
[legend]

List of all members.

## Public Member Functions

- virtual ~SizeAlgorithm ()

## Public Attributes

- SizeProperty * sizeResult

## Protected Member Functions

- SizeAlgorithm (const AlgorithmContext &context)

## Friends

- class SizeProperty

## Detailed Description

Interface for sizes plug-ins.

## Constructor & Destructor Documentation

virtual tlp::SizeAlgorithm::~SizeAlgorithm | ( |  | ) | `[inline, virtual]`

tlp::SizeAlgorithm::SizeAlgorithm | ( | const AlgorithmContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class SizeProperty`[friend]`

## Member Data Documentation

SizeProperty* tlp::SizeAlgorithm::sizeResult

Tulip Software by LaBRI Visualization Team 2001 - 2012